:root {
    --primary-color: dodgerblue;
    --secondary-color: #eee;
}

* {
    margin: 0;
    /*padding: 0;*/
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
}

/* Estilos Generales */
body {
    background-color: var(--secondary-color);
    min-height: 100vh;
    font-family: Roboto, Arial, Helvetica, sans-serif;
    font-size: 0.85rem;
    color: #333;
    display: flex;
    flex-direction: column;
    justify-content: space-between; 

}

.title-body {
    text-align: center;
    background-color: #ff0;
    color: #333;
}

/* Estilos de la Barra de Navegación */
.navbar {
    background-color: var(--primary-color);
    overflow: hidden;
    display: flex;
    justify-content: space-between;
}

.navbar a {
    /* apilar a la izq mientras quepan (si ya no caben se siguen apilando a la izq en la siguiente fila) */
    float: left;
    color: white;
    text-align: center;
    padding: 16px;    
}

a.logo-planetsistemas {
    padding: 1px 16px;
    width: 150px;
}

a.logo-planetsistemas img {
    width: 100%;
    object-fit: contain;
}

.navbar a:hover {
    background-color: #ddd;
    color: black;
}

/* ocultar hamburguesa */
.navbar a.icon-burguer {
    display: none;
}

/* Fondo oscuro de la modal */
.modal-background {
    /* Oculto por defecto */
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* Fondo semitransparente */
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    z-index: 1;
}

/* Contenedor de la modal */
.modal-content {
    background-color: lightgreen;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    width: 90%;
    max-width: 300px;
}

.modal-content button {
    cursor: pointer;
}

/* tarjetas */
.card {
    padding: 10px;
    margin: 10px auto;
    border-radius: 10px;
    /* Sombra suave */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    width: 300px;
}

.card-form {
  display: flex;   
  flex-direction: column;    
}

.card-form.success {
    text-align: center;
    background-color: greenyellow;
}
.card-form.failure {
    text-align: center;
    background-color: rgb(255, 47, 151);
}

.card-form.pending {
    text-align: center;
    background-color: rgb(255, 165, 47);
}

.card input, select, button {
    padding: 5px;
    background-color: white;
    border: none;
    border-radius: 5px;   
    width: 100%;    
}

.card-form label {
    margin-top: 10px;
    margin-bottom: 3px;    
}

.card-form button {
    padding: 12px;
    color: white;
    background-color: dodgerblue;
    cursor: pointer;
    margin: 15px 0;
}

.card-success {
    text-align: center;
    background-color: greenyellow;
    padding: 16px 0;
    display: none;
}

.card-success input {
    text-align: center;
    margin: 0 10px;
    width: 90%;
}

/* label show error */
.lblError {
    color: red;
    display: none;
}

/* Contenedor de la tabla */
.table-container {
    margin: 20px auto;     
    width: 100%;     
    /* Permite desplazamiento hor en pantallas pequeñas */
    overflow-x: auto;
    /* Mejor scroll en iOS */
    -webkit-overflow-scrolling: touch;      
}

/* Opcional: estilos visuales para el scroll */
/*
.table-container::-webkit-scrollbar {
    height: 8px;
}

.table-container::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 4px;
}
*/

/* Estilos de la tabla */
table {
    /*border: 10px hidden black;    */
    /* centrar horizontal */
    margin: auto;    
    /* Ancho de la tabla */
    width: 90%;    
    /* Ancho mínimo para que no se comprima demasiado */
    /*min-width: 800px;   */
    /*max-width: 800px; */
    /* si es collapse en los movil no muestar las primeras columnas */
    border-collapse: separate;
    /* sin separacion de celdas */
    border-spacing: 0;
    /* Sombra suave */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    table-layout: auto;
    border-radius: 10px; 
    /* asegurar el redondeo */  
    overflow: hidden;    
}

th,
td {
    padding: 8px;    
    text-align: left;
    border-bottom: 1px solid #ddd;    
}

th {
    background-color: #333;
    color: white;    
}

tr:hover {
    background-color: #f5f5f5;
}

.logo {
    object-fit: contain;
}

table button {
    border: none;
    padding: 8px;
    background-color: none;
    border-radius: 5px;
    cursor: pointer;
}

footer {
    color: white;
    background-color: var(--primary-color);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
}

/* Estilos para Dispositivos Móviles */
@media screen and (max-width: 600px) {

    /* ocultar los bloques excepto el ultimo(hamburguesa) */
    .navbar a:not(:last-child) {
        display: none;
    }

    /* mostrar menu hamburguesa en bloque de todo el ancho, apilado a la derecha */
    .navbar a.icon-burguer {
        float: right;
        display: block;
    }

    /* ocultar hamburguesa cuando el menu este expandido */
    .navbar.expanded a.icon-burguer {
        display: none;
    }

    /* mostrar en bloques alineados a la izquierda cuando este expandido */
    .navbar.expanded a {
        /* ya no apilar a la izquierda porque abarcaran todo el ancho con display: block */
        float: none;
        display: block;
        text-align: left;
    }

    .logo {
        width: 80%;
    }
    
    footer {
        font-size: 0.8rem;
    }
}